Bug 6011 - kernel 4.1 - System hang during hibernate on EeePC 1015PE
: kernel 4.1 - System hang during hibernate on EeePC 1015PE
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Hardware
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Groups for solving hardware issues.
: Eugene Shatokhin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 12:15 MSD by Eugene Shatokhin
Modified: 2015-09-29 18:48 MSD (History)
0 users

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2015-08-06 12:15:30 MSD
There is a regression in the driver i915 in the kernels 3.18 and newer, including 4.1.

When I try to put the system to hibernation, the hibernation image is 
created, the screen turns off but the laptop does not turn off after 
that (the fan continues to work, the leds are on, etc.) and the system 
seems to hang.

Hardware:
http://hw.rosalinux.ru/index.php?probe=1c0329fde5

This is an upstream problem. Bisection pointed to the following commit as the first bad one:

    commit da2bc1b9db3351addd293e5b82757efe1f77ed1d
    drm/i915: add poweroff_late handler

If I revert that change, hibernation works well. 

I reported the problem upstream, no reaction yet:
https://lkml.org/lkml/2015/7/28/773

A similar issue was fixed in the mainline kernel some time ago for Lenovo laptops but not for ASUS EeePCs, see 
    commit ab3be73fa7b43f4c3648ce29b5fd649ea54d3adb
    drm/i915: gen4: work around hang during hibernation

Perhaps, there is a better fix than just reverting that offending commit.
Comment 1 Eugene Shatokhin 2015-08-12 21:43:41 MSD
I have prepared a patch to fix the problem, sent it upsteam: https://bugs.freedesktop.org/show_bug.cgi?id=91618
Comment 2 Eugene Shatokhin 2015-09-29 18:48:30 MSD
Fixed with a more generic patch in the kernel 4.1.8.